## beef 0.0.5

=== Makefile ===
# beef Makefile

CC = gcc
CFLAGS = -Wall -ansi -pedantic -O2
SRCDIR = src

PREFIX = /usr
MANDIR = /usr/share/man/man1
DOCDIR = /usr/share/doc/beef

all: build

build:
	@echo -e "  CC\tmain.c"; \
	$(CC) $(CFLAGS) -o $(SRCDIR)/main.o -c $(SRCDIR)/main.c;
	@echo -e "  CC\tnew_cell.c"; \
	$(CC) $(CFLAGS) -o $(SRCDIR)/new_cell.o -c $(SRCDIR)/new_cell.c;
	@echo -e "  CC\tload.c"; \
	$(CC) $(CFLAGS) -o $(SRCDIR)/load.o -c $(SRCDIR)/load.c;
	@echo -e "  CC\teval.c"; \
	$(CC) $(CFLAGS) -o $(SRCDIR)/eval.o -c $(SRCDIR)/eval.c;
	@echo -e "  CC\ttape_dump.c"; \
	$(CC) $(CFLAGS) -o $(SRCDIR)/tape_dump.o -c $(SRCDIR)/tape_dump.c;
	@echo -e "  CC\tcode_dump.c"; \
	$(CC) $(CFLAGS) -o $(SRCDIR)/code_dump.o -c $(SRCDIR)/code_dump.c;
	@echo -e "  LD\tbeef"; \
	$(CC) $(CFLAGS) -o beef $(SRCDIR)/*.o;

install:
	@echo -e "  CP\tbeef"; \
	cp beef $(PREFIX)/bin;
	@echo -e "  CP\tbeef.1.gz"; \
	cp doc/beef.1.gz $(MANDIR);
	@if [ ! -d $(DOCDIR) ]; then \
	   echo -e "  MD\t$(DOCDIR)"; \
	   mkdir $(DOCDIR); \
	 fi;
	@echo -e "  CP\tchangelog COPYING.gz"; \
	cp doc/changelog doc/COPYING.gz $(DOCDIR);

clean:
	@echo -e "  RM\tbeef"; \
	rm -f beef;
	@echo -e "  RM\tsrc/*.o"; \
	rm -f $(SRCDIR)/*.o;

distclean: clean
.PHONY: build install clean distclean

## beef 0.0.6

=== Makefile ===
# beef Makefile

CC = gcc
CFLAGS = -Wall -ansi -pedantic -O2

PREFIX = /usr
MANDIR = /usr/share/man/man1
DOCDIR = /usr/share/doc/beef

TARGETS = src/main.o src/new_cell.o src/load.o src/eval.o \
src/tape_dump.o src/code_dump.o

beef: $(TARGETS)
	@echo "  LD    beef"; \
	$(CC) $(CFLAGS) $(LDFLAGS) -o beef $(TARGETS)

%.o: %.c
	@echo "  CC    $*.c"; \
	$(CC) $(CFLAGS) -o $*.o -c $*.c 

install:
	@echo "  CP    beef"; \
	cp beef $(PREFIX)/bin;
	@echo "  CP    beef.1.gz"; \
	cp doc/beef.1.gz $(MANDIR);
	@if [ ! -d $(DOCDIR) ]; then \
	   echo "  MD    $(DOCDIR)"; \
	   mkdir $(DOCDIR); \
	 fi;
	@echo "  CP    changelog COPYING.gz"; \
	cp doc/changelog doc/COPYING.gz $(DOCDIR);

clean:
	@echo -e "  RM    beef"; \
	rm -f beef;
	@echo -e "  RM    src/*.o"; \
	rm -f src/*.o;

.PHONY: install clean

## beef 1.0.0

=== debian/changelog ===
beef (1.0.0-1) experimental; urgency=low

  * New upstream release. (Closes: #639247)
  * Fix watch file. (Closes: #529748)
  * U01-fix-whatis-entry.diff:
    - use the conventional format for the NAME section of the man
      page, so that programs such as whatis and apropos can parse it.
  * D01-skip-documentation-files.diff:
    - don't install duplicated documentation files.
  * D02-leave-changelog-alone.diff:
    - don't overwrite upstream changelog.
  * Switch to 3.0 (quilt) source format.
  * Switch to compat level 9.
  * Update Debian copyright file to the final version of the
    machine-readable copyright file specification.
  * Add Vcs-* control fields.
  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 21 Aug 2012 21:01:11 +0200

beef (0.0.6-2) unstable; urgency=low

  * Added watch file
  * Added support for DEB_BUILD_OPTIONS (noopt)
  * Don't ignore `$(MAKE) clean' errors anymore
  * Bumped Standards-Version to 3.7.3 (no changes needed)
  * Moved Homepage to the proper control field
  * Changed debian/copyright to comply with the proposed machine-interpretable
    copyright format (with some modifications)

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 17 Feb 2008 23:51:57 +0100

beef (0.0.6-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.7.2
  * Improved long description
  * Added Homepage pseudo-field
  * Sponsored package by Neil McGovern <neilm@debian.org>
    - Proofread and updated long description to better English

 -- Andrea Bolognani <eof@kiyuko.org>  Thu,  1 Feb 2007 19:58:12 +0100

beef (0.0.5-1) unstable; urgency=low

  * New upstream release
  * Added copyright notice for the packaging work

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 29 Mar 2006 09:44:35 +0100

beef (0.0.4-1) unstable; urgency=low

  * Initial release. Closes: #355179 

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 10 Mar 2006 16:02:20 +0100

=== debian/control ===
Source: beef
Section: devel
Priority: optional
Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 9),
               autoconf (>= 2.67.2),
               automake (>= 1:1.11.1),
               libtool (>= 2.0.0),
               pkg-config (>= 0.16.0),
               pandoc,
               libglib2.0-dev (>= 2.18.0),
               libcattle-1.0-dev (>= 1.0.1),
               libreadline6-dev
Standards-Version: 3.9.3
Homepage: http://kiyuko.org/software/beef
Vcs-Git: git://anonscm.debian.org/collab-maint/beef.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/beef.git;a=summary

Package: beef
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gvfs,
          gvfs-backends
Description: flexible Brainfuck interpreter
 Beef is an interpreter for the Brainfuck programming language.
 .
 Its main goals are to be confortable for the user and to run most
 Brainfuck programs unchanged; speed is generally quite good. 
 .
 Beef performs thorough error checking to make sure malformed programs are
 not executed; it also supports a bunch of command-line options that can be
 used for configuration or compatibility purposes.
 .
 If GVFS is installed, Beef can use any available backend as either output
 or (where it makes sense) input source. GNU readline is used for
 interactive input.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Refresh the build system.
#
# The build system is completely regenerated to ensure the tools used to
# build the binary package are the ones shipped with Debian.
override_dh_auto_configure:
	@( \
		autoreconf --force \
		           --install \
		           --symlink; \
		dh_auto_configure -- \
		                  --disable-silent-rules; \
	)

# Rebuild the series file by looking at the contents of the patches directory.
#
# Patches with names starting with D (Debian-specific) should be applied
# after those with names starting with U (to be forwarded upstream).
rebuild-series:
	@( \
		SERIES=debian/patches/series; \
		echo "# To rebuild this file, use \`debian/rules $@'" \
			> $${SERIES}; \
		for patch in debian/patches/U*.diff debian/patches/D*.diff; \
		do \
			test -f "$${patch}" || continue; \
			patch=$$(basename $${patch}); \
			echo $${patch} \
				>> $${SERIES}; \
		done; \
	)

.PHONY: rebuild-series

## beef 1.0.1

=== debian/changelog ===
beef (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * U01-fix-whatis-entry.diff:
    - merged upstream; dropped.
  * D01-tweak-build-system.diff:
    - merge all upstream build system modifications into a single patch.
  * Bump Standards-Version to 3.9.6.
  * Upload to unstable.

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 23 Oct 2014 01:11:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Andrea Bolognani <eof@kiyuko.org>
-Build-Depends: dpkg-dev (>= 1.16.1~),
-               debhelper (>= 9),
-               autoconf (>= 2.67.2),
-               automake (>= 1:1.11.1),
-               libtool (>= 2.0.0),
-               pkg-config (>= 0.16.0),
+Build-Depends: debhelper (>= 9),
+               autoconf,
+               automake,
+               libtool,
+               pkg-config,
                pandoc,
-               libglib2.0-dev (>= 2.18.0),
-               libcattle-1.0-dev (>= 1.0.1),
+               libglib2.0-dev,
+               libcattle-1.0-dev (>= 1.2.0),
                libreadline6-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://kiyuko.org/software/beef
 Vcs-Git: git://anonscm.debian.org/collab-maint/beef.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/beef.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/beef.git/
 
 Package: beef
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Refresh the build system.
#
# The build system is completely regenerated to ensure the tools used to
# build the binary package are the ones shipped with Debian.
override_dh_auto_configure:
	@( \
		libtoolize -f -c; \
		aclocal; \
		autoheader -f; \
		autoconf -f; \
		automake -f -a -c --foreign; \
		dh_auto_configure -- \
		                  --disable-silent-rules; \
	)

# Rebuild the patches series by looking at the contents of the
# debian/patches directory.
#
# Patches with names starting with D (Debian-specific) should be applied
# after those with names starting with U (to be forwarded upstream).
rebuild-patches-series:
	@( \
		SERIES=debian/patches/series; \
		{ \
			echo "# To rebuild this file, use \`debian/rules $@'"; \
			for patch in debian/patches/U*.diff debian/patches/D*.diff; \
			do \
				test -f "$${patch}" || continue; \
				patch=$$(basename "$${patch}"); \
				echo "$${patch}"; \
			done; \
		} >"$${SERIES}"; \
	)

.PHONY: rebuild-patches-series

=== debian/watch ===
version=3
opts=filenamemangle=s/^\/software\/beef\/releases\/(.+)\/source$/beef-$1\.tar\.gz/ \
http://kiyuko.org/software/beef/releases \
	/software/beef/releases/(.+)/source

## beef 1.0.2

=== debian/changelog ===
beef (1.0.2-2) unstable; urgency=low

  * autopkgtest
    - Add smoke test

  * debhelper
    - Switch to compat level 11

  * Security
    - Use https:// for upstream URLs
    - Add GPG signature verification to watch file

  * Other
    - Update Standards-Version to 4.1.3
      - Use Format: https://... in Debian copyright file
    - Permit Rules-Requires-Root: no
    - Point Vcs-*: to salsa.debian.org

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 10 Feb 2018 17:21:31 +0100

beef (1.0.2-1) unstable; urgency=low

  * New upstream release

  * debhelper
    - Switch to compat level 10
      - Parallel builds are now supported

  * Security
    - Enable +bindnow hardening option
    - Use HTTPS wherever possible

  * Other
    - Update Standards-Version to 3.9.8
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 15 Jan 2017 20:12:25 +0100

=== debian/control ===
Source: beef
Section: devel
Priority: optional
Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper (>= 11),
               autoconf,
               automake,
               libtool,
               pkg-config,
               pandoc,
               libglib2.0-dev,
               libcattle-1.0-dev (>= 1.2.0),
               libreadline6-dev
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://kiyuko.org/software/beef
Vcs-Git: https://salsa.debian.org/debian/beef.git
Vcs-Browser: https://salsa.debian.org/debian/beef

Package: beef
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gvfs,
          gvfs-backends
Description: flexible Brainfuck interpreter
 Beef is an interpreter for the Brainfuck programming language.
 .
 Its main goals are to be comfortable for the user and to run most
 Brainfuck programs unchanged; speed is generally quite good.
 .
 Beef performs thorough error checking to make sure malformed programs are
 not executed; it also supports a bunch of command-line options that can be
 used for configuration or compatibility purposes.
 .
 If GVFS is installed, Beef can use any available backend as either output
 or (where it makes sense) input source. GNU readline is used for
 interactive input.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
@@ -7,16 +11,37 @@
 #
 # The build system is completely regenerated to ensure the tools used to
 # build the binary package are the ones shipped with Debian.
+override_dh_autoreconf:
+	libtoolize -f
+	aclocal
+	autoheader -f
+	autoconf -f
+	automake -f -a --foreign
+
+# Call configure
+#
+# debhelper will take care of all the important stuff such as build
+# architecture and installation paths, but we still need to explicitly
+# pass a couple of parameters ourselves
 override_dh_auto_configure:
-	@( \
-		libtoolize -f -c; \
-		aclocal; \
-		autoheader -f; \
-		autoconf -f; \
-		automake -f -a -c --foreign; \
-		dh_auto_configure -- \
-		                  --disable-silent-rules; \
-	)
+	dh_auto_configure -- \
+	                  --disable-silent-rules
+
+# Install files.
+#
+# We use debian/tmp as a staging area so that we can skip files we don't
+# want ending up in the package without having to mess with the upstream
+# build system too much. dh_install and friends will later pick up the
+# interesting stuff.
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp
+
+# Install changelogs.
+#
+# Upstream's NEWS.markdown is much more useful to end users than
+# upstream's ChangeLog, so install that as changelog instead.
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.markdown
 
 # Rebuild the patches series by looking at the contents of the
 # debian/patches directory.

=== debian/watch ===
version=4
opts=\
filenamemangle=s/^.*\/@ANY_VERSION@\/.*$/beef-$1.tar.gz/,\
pgpsigurlmangle=s/^(.*)\/source$/$1\/signature/ \
\
https://kiyuko.org/software/beef/releases \
^/software/beef/releases/@ANY_VERSION@/source$

## beef 1.2.0

=== debian/changelog ===
beef (1.2.0-1) unstable; urgency=medium

  * New upstream release

  * Patches
    + Drop D01-tweak-build-system.diff
      - No longer needed

  * debhelper
    + Switch to compat level 12

  * Other
    + Update Standards-Version to 4.5.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 22 Apr 2020 22:55:48 +0200

beef (1.0.2-3) unstable; urgency=low

  * Package relationships
    - Build-Depends: on libreadline-dev instead of libreadline6-dev
      - The latter is purely virtual

  * Other
    - Update Standards-Version to 4.1.4
      - No changes needed
    - Adapt watch file to new download URLs

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 01 Jul 2018 15:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Andrea Bolognani <eof@kiyuko.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                autoconf,
                automake,
                libtool,
                pkg-config,
-               pandoc,
                libglib2.0-dev,
                libcattle-1.0-dev (>= 1.2.0),
-               libreadline6-dev
-Standards-Version: 4.1.3
+               libreadline-dev,
+               python3-docutils
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://kiyuko.org/software/beef
 Vcs-Git: https://salsa.debian.org/debian/beef.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR = $(CURDIR)/debian/tmp
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --builddir $(BUILDDIR)

# Prepare files.
#
# The upstream build system mostly does the right thing, but we still
# want to move some files around to make things easier for debhelper
# tools that are called later.
override_dh_auto_install:
	dh_auto_install --destdir $(DESTDIR)
	mv $(DESTDIR)/usr/share/doc/beef/NEWS.rst \
	   $(DESTDIR)/usr/share/doc/beef/NEWS

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://kiyuko.org/software/beef/releases \
  ^.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@$
